Skip to navigation

Get a customer

Retrieve details of a specific customer by their ID

Authentication

AuthorizationBearer

Bearer token authentication for Mercury API.

Use your API token in the Authorization header: Authorization: Bearer TOKEN

Example: Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem

Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.

Path parameters

customerIdstringRequiredformat: "uuid"

Response

emailstring
An email address.
idstringformat: "uuid"
namestring
Name of customer.
addressobject or nullOptional
deletedAtobject or nullOptional

Errors

404
Not Found Error